# norootforbuild

#
# spec file for package elx-brcmfcoe version 11.2.1187.6
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugzilla.suse.com/
#


%define kernelversion %(rpm -q --qf "%%{version}-%%{release}" kernel-source)

Name:          elx-brcmfcoe
BuildRequires: %kernel_module_package_buildreqs kernel-source
License:       GPL-2.0
Group:         System/Kernel
Summary:       Emulex FCoE driver for Universal CNAs
Version:       11.2.1187.6
Release:	9.2
Source0:	brcmfcoedriver-3-%{version}.tar.bz2
Source1:	brcmfcoedriver-4-%{version}.tar.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}-build

%define sle_version %(cat /etc/SuSE-release | grep -e VERSION -e PATCHLEVEL | cut -d ' ' -f3,6 | tr '\\\n' ' ' | tr -d ' ')
%if 0%{?sle_version} == 122
%define lpfcdriver      brcmfcoedriver-4
%else
%define lpfcdriver      brcmfcoedriver-3
%endif

%define builddir	%{name}-%{version}

%kernel_module_package

%description
Emulex brcmfcoe Linux kernel driver module.
The brcmfcoe driver sources are located in:
http://www.avagotech.com/support/oem/fc.

%package KMP
Summary: brcmfcoe driver
Group: System/Kernel

%description KMP
This is one of the sub-packages for a specific kernel. All the
sub-packages will share the same summary, group, and description.

%prep
rm -rf %{buildroot}
%if 0%{sle_version} == 122
%setup -a 1 -c %{builddir}
%else
%setup -a 0 -c %{builddir}
%endif
cd %{lpfcdriver}-%{version}
cp lpfc_attr.c brcmfcoe_attr.c
cp lpfc_bsg.c brcmfcoe_bsg.c
cp lpfc_ct.c brcmfcoe_ct.c
cp lpfc_debugfs.c brcmfcoe_debugfs.c
cp lpfc_els.c brcmfcoe_els.c
cp lpfc_hbadisc.c brcmfcoe_hbadisc.c
cp lpfc_init.c brcmfcoe_init.c
cp lpfc_mbox.c brcmfcoe_mbox.c
cp lpfc_mem.c brcmfcoe_mem.c
cp lpfc_nportdisc.c brcmfcoe_nportdisc.c
cp lpfc_scsi.c brcmfcoe_scsi.c
cp lpfc_sli.c brcmfcoe_sli.c
cp lpfc_vport.c brcmfcoe_vport.c
set -- *
mkdir source
mv "$@" source/
echo " " > source/Module.supported
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for driver_dir in %{lpfcdriver}-%{version} ; do
    cd $driver_dir
    for flavor in %flavors_to_build; do
        rm -rf obj/$flavor
        cp -r source obj/$flavor
        make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
            M=$PWD/obj/$flavor \
            CONFIG_SCSI_BRCMFCOE=m CONFIG_SCSI_LPFC_IOCTLS=m \
            BUILD_FLAGS=-DBUILD_BRCMFCOE \
            KERNELVERSION="%{kernelversion}-$flavor"
    done
    cd ..
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for driver_dir in %{lpfcdriver}-%{version} ; do
    cd $driver_dir
    for flavor in %flavors_to_build; do
        make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
            M=$PWD/obj/$flavor KERNELVERSION="%{kernelversion}-$flavor"
    done
    cd ..
done

%clean
rm -rf %{buildroot}

%changelog
* Wed Jan 25 2017 andavis@suse.com
  Initial KMP package of the Emulex brcmfcoe v11.2.1187.6
  Source provided by Emulex Corporation <tech.support@emulex.com>
  bsc #1021975, #1021976
